<!--
  ~ Copyright (c) 2020. Joey Mizrahi
  -->

<!DOCTYPE html>
<!--suppress JSUnresolvedLibraryURL -->
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <title>JAVA - WEB Final Targil :( </title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
    <link rel='icon' th:href="@{/Images/githubkitty.png}" href='../static/Images/githubkitty.png' type='image/x-icon'>
    <link rel="stylesheet" type="text/css" media="all"  href="../static/css/login.css" th:href="@{/css/login.css}" />
</head>
<body style="background-color:#D6D7D4; zoom: 130%" >
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div  class="navbar-nav">
        <ul class="navbar-nav">
            <img src="../static/Images/githubkitty.png" th:src="@{/Images/githubkitty.png}" alt = "IMG" height="30" width="30" style="margin-top:2% ">
            <li class="nav-item active">
                <a class="nav-link" href="/">Search <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/history">History</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>

<div class="container login-form">
    <form  th:action="@{/}" th:object="${gitHubUser}" method="post">
        <h2 class="text-center">Search</h2>
        <div class="form-group">
            <input type="text" class="form-control" placeholder="John Doe" th:field="*{login}">
            <span th:if="${#fields.hasErrors('login')}" th:errors="*{login}" class="text-danger"></span>
        </div>
        <div class="form-group">
            <button type="submit" class="btn btn-success btn-block">search</button>
        </div>
    </form>

    <!-- IF USER EXISTS -->
    <div th:if="${exists != null && exists}" class="alert text-center"
         th:classappend="${gitHubUser.getFollowers() != 0} ? 'alert-success' : 'alert-warning'">
        Username:
        <a th:href=" ${gitHubUser.getHtml_url()}">
            <span th:text="${gitHubUser.getLogin()}"></span>
        </a>
        <br>
        <span th:text="${gitHubUser.getFollowers() == 0} ? 'No Followers' : 'Followers: '+ ${gitHubUser.getFollowers()} "></span>
    </div>
    <!-- ELSE -->
    <div class="alert alert-danger text-center" th:if="${exists != null && !exists}">
        User doesnt exist
    </div>
</div>

</body>
</html>